FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202110121415.p0.git.3787d15.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202110121415.p0.git.3787d15.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3787d15 OS_GIT_VERSION=4.7.0-202110121415.p0.git.3787d15.assembly.stream-3787d15 SOURCE_DATE_EPOCH=1620321575 SOURCE_GIT_COMMIT=3787d1547332cd39e2904d041a977648afeb856b SOURCE_GIT_TAG=3787d154 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-descheduler-operator
COPY . .
RUN go build -o cluster-kube-descheduler-operator ./cmd/cluster-kube-descheduler-operator

FROM openshift/ose-base:v4.7.0.20211012.144523
ENV __doozer=update BUILD_RELEASE=202110121415.p0.git.3787d15.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202110121415.p0.git.3787d15.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3787d15 OS_GIT_VERSION=4.7.0-202110121415.p0.git.3787d15.assembly.stream-3787d15 SOURCE_DATE_EPOCH=1620321575 SOURCE_GIT_COMMIT=3787d1547332cd39e2904d041a977648afeb856b SOURCE_GIT_TAG=3787d154 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-descheduler-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/cluster-kube-descheduler-operator /usr/bin/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/manifests /manifests
COPY --from=builder /go/src/github.com/openshift/cluster-kube-descheduler-operator/metadata /metadata

LABEL \
        io.k8s.display-name="OpenShift Descheduler Operator" \
        io.k8s.description="This is a component of OpenShift and manages the descheduler" \
        io.openshift.tags="openshift,cluster-kube-descheduler-operator" \
        com.redhat.delivery.appregistry="False" \
        maintainer="AOS workloads team, <aos-workloads@redhat.com>" \
        name="openshift/ose-cluster-kube-descheduler-operator" \
        com.redhat.component="ose-cluster-kube-descheduler-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202110121415.p0.git.3787d15.assembly.stream" \
        io.openshift.build.commit.id="3787d1547332cd39e2904d041a977648afeb856b" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-descheduler-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-descheduler-operator/commit/3787d1547332cd39e2904d041a977648afeb856b" \
        version="v4.7.0"

